Skip to main content
PATCH
/
import
/
streams
/
{id}
Update import stream
curl --request PATCH \
  --url https://api.prequel.co/import/streams/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "stream": {
    "name": "<string>",
    "is_valid": true,
    "is_enabled": true,
    "mappings": [
      {
        "field_type": "<string>",
        "target_field": "<string>",
        "column": {},
        "expression": {}
      }
    ]
  }
}
'
{
  "status": "<string>",
  "data": {
    "stream": {
      "id": "<string>",
      "name": "<string>",
      "is_valid": true,
      "is_enabled": true,
      "destination_id": "<string>",
      "dataset_id": "<string>",
      "mappings": [
        {
          "field_type": "<string>",
          "target_field": "<string>",
          "column": {},
          "expression": {}
        }
      ],
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Import Stream ID.

Query Parameters

skip_validation
boolean

Skip validation when creating or updating.

Body

application/json
stream
object
required

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required